import app from 'flarum/admin/app';
import AdminPage from 'flarum/admin/components/AdminPage';

export default class IndexPage extends AdminPage {
  header() {

  }
  
  content() {
    const settings = app.extensionData.getSettings("rhodes-island-oauth-center");
    
    return (
      <div className="ExtensionPage-settings">
        <div className="container">
          <div className="Form">
            {settings!!.map(this.buildSettingComponent.bind(this))}
            <div className="Form-group">{this.submitButton()}</div>
          </div>
        </div>
      </div>
    );
  }
}
