import Model from 'flarum/common/Model';

export default class Client extends Model {
  client_id = Model.attribute<string>('client_id');
  client_secret = Model.attribute<string>('client_secret');
  redirect_uri = Model.attribute<string>('redirect_uri');
  grant_types = Model.attribute<string | null>('grant_types');
  scope = Model.attribute<string | null>('scope');
  user_id = Model.attribute<number>('user_id');
  client_name = Model.attribute<string>('client_name');
  client_icon = Model.attribute<string | null>('client_icon');
  client_desc = Model.attribute<string | null>('client_desc');
  client_home = Model.attribute<string | null>('client_home');
}
