<?php

namespace RhodesIsland\OAuthCenter\Api\Controller;

use Flarum\Api\Controller\AbstractDeleteController;
use Flarum\Http\RequestUtil;
use Illuminate\Support\Arr;
use Psr\Http\Message\ServerRequestInterface;
use Tobscure\JsonApi\Document;
use RhodesIsland\OAuthCenter\Models\Client;
use RhodesIsland\OAuthCenter\Api\Serializer\ClientSerializer;

class DeleteClientController extends AbstractDeleteController
{
    public $serializer = ClientSerializer::class;
    protected function delete(ServerRequestInterface $request)
    {
        $id = Arr::get($request->getQueryParams(), 'id');
        RequestUtil::getActor($request)
            ->assertAdmin();

        $client = Client::find($id);

        $client->delete();
    }
}
